
import { JsonUtil } from "../../../../../extensions/oops-plugin-framework/assets/core/utils/JsonUtil";

export class TableCheckpointLevel {
    static TableName: string = "CheckpointLevel";

    private data: any;

    init(id: number) {
        var table = JsonUtil.get(TableCheckpointLevel.TableName);
        this.data = table[id];
        this.id = id;
    }

    /** 编号【KEY】 */
    id: number = 0;

    /** 站台数量 */
    get stationCount(): number {
        return this.data.stationCount;
    }
    /** 网格数量 */
    get gridCount(): number {
        return this.data.gridCount;
    }
    /** 人数组数 */
    get peopleCount(): number {
        return this.data.peopleCount;
    }
    /** 障碍数 */
    get obstacleCount(): number {
        return this.data.obstacleCount;
    }
    /** 关卡排布 */
    get levelGrid(): any {
        return this.data.levelGrid;
    }
    /** 颜色排布 */
    get levelColor(): any {
        return this.data.levelColor;
    }
    /** 障碍排布 */
    get levelObstacle(): any {
        return this.data.levelObstacle;
    }
}
    